Package ru.bitel.bgbilling.modules.subscription.common.bean

# Class Subscription

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.subscription.common.bean.Subscription

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class Subscription
    extends Id

Подписка клиента на что-то, с точностью до секунды

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Subscription()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getComment()` |
  `int` | `getContractId()` |
  `long` | `getJobId()` |
  `PeriodWithTime` | `getPeriod()` |
  `int` | `getRegistrationPeriodId()` |
  `java.util.List<RegistrationPeriod>` | `getRegistrationPeriodList()` |
  `SubscriptionType` | `getSubscriptionType()` |
  `int` | `getTypeId()` |
  `boolean` | `isActive()` |
  `boolean` | `isAvtoCommit()` |
  `void` | `setAvtoCommit​(boolean avtoCommit)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setJobId​(long jobId)` |
  `void` | `setPeriod​(PeriodWithTime period)` |
  `void` | `setRegistrationPeriodId​(int registrationPeriodId)` |
  `void` | `setRegistrationPeriodList​(java.util.List<RegistrationPeriod> registrationPeriodList)` |
  `void` | `setSubscriptionType​(SubscriptionType subscriptionType)` |
  `void` | `setTypeId​(int typeId)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Subscription

    public Subscription()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getTypeId

    public int getTypeId()

  - ### setTypeId

    public void setTypeId​(int typeId)

  - ### getSubscriptionType

    public SubscriptionType getSubscriptionType()

  - ### setSubscriptionType

    public void setSubscriptionType​(SubscriptionType subscriptionType)

  - ### getPeriod

    public PeriodWithTime getPeriod()

  - ### setPeriod

    public void setPeriod​(PeriodWithTime period)

  - ### getRegistrationPeriodId

    public int getRegistrationPeriodId()

  - ### setRegistrationPeriodId

    public void setRegistrationPeriodId​(int registrationPeriodId)

  - ### getRegistrationPeriodList

    public java.util.List<RegistrationPeriod> getRegistrationPeriodList()

  - ### setRegistrationPeriodList

    public void setRegistrationPeriodList​(java.util.List<RegistrationPeriod> registrationPeriodList)

  - ### isAvtoCommit

    public boolean isAvtoCommit()

  - ### setAvtoCommit

    public void setAvtoCommit​(boolean avtoCommit)

  - ### getJobId

    public long getJobId()

  - ### setJobId

    public void setJobId​(long jobId)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### isActive

    public boolean isActive()